"""

Configs migration



Generation datetime: 2022-04-27 07:54:04.238919

"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper


REVISION = "b9d73ee3"

DOWN_REVISION = "c0943e58"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to remove

    mh.removeLimitation(limitationName="LUNA_CONFIGURATOR")

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""
