class _Base(Exception):
    """Base for lambda exceptions"""

    errorText: str = "Unknown lambda exception"

    def __str__(self):
        return " ".join(self.args) if self.args else getattr(self, "errorText", super().__str__())


class BaseLambdaException(_Base):
    """Base lambda exception"""

    statusCode: int


class BaseTaskLambdaException(_Base):
    """Base task lambda exception"""
